Subject: Re: building cygwin.dll instructions
From: "Robert Collins" <[email-masked]>
To: "Earnie Boyd" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 12 Apr 2001 12:03:41 +1000

----- Original Message -----
From: "Earnie Boyd" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, April 12, 2001 11:52 AM
Subject: Re: building cygwin.dll instructions

> Robert Collins wrote:
> >
> > Can I suggest that the use of --prefix be documented? I mistakenly
> > used --prefix=/usr and trashed my system a month or so ago - I just
> > realised I never suggested it be documented. Something along the
lines
> > of
> >
> > "Don't use a --prefix that refers to the final destination. Use
> > a --prefix like "/usr/src/installcygwin" and from there take the
files
> > to your actual working directories."
> >
>
> IMO you should `../src/configure --prefix=/usr ...' and then do `make
> install prefix=`pwd`/nstl' (or whatever directory you wish to install
> them in).  The reason for that has to do with the way some packages
> hardcode absolute paths relative to the configured prefix.
>
> Earnie.
>

I don't know the best way... I do know that unguided will cause
problems.

The only reason I made a suggestion on the doco is that it forestalls
the "and what should it say" comments :]

Rob

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple